%define	_exec_prefix	/

Summary:	The GNU line editor
Summary(de):	Der GNU Zeileneditor
Name:		ed
Version:	1.19
Release:	%mkrel 1
License:	GPLv3+
Group:		Text tools
URL:		http://www.gnu.org/software/ed/ed.html
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/ed-%{version}.tar.lz
Requires(post): info-install
Requires(preun):info-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%description -l de
Ed ist ein zeilenorientierter Texteditor zum Erstellen, Anzeigen und 
Modifizieren (beides interaktiv und via Shell-Skript) von Textdateien.
Für die meisten Zwecke wurde ed für den normalen Gebrauch von Vollbildeditoren
wie (z.B. emacs, vi) ersetzt.

Ed war der originale UNIX Editor und kann von einigen Programmen genutzt werden.
Im Allgemeinen werden Sie es nicht installieren brauchen und Sie werden es nicht
oft nutzen wollen.

%prep
%setup -q

%build
./configure --prefix=/usr --bindir=/bin CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" 
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
/bin/ed
/bin/red
%{_infodir}/ed.info*
%{_mandir}/*/*


%changelog
* Mon Feb 13 2023 tex - 1.19-1pclos2023
- new version

* Wed Jan 20 2021 tex - 1.17-1pclos2021
- new version

* Sun May 05 2019 tex - 1.9-2pclos2019
- rebuild against updates

* Wed Jun 26 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.9-1pclos2013
- 1.9

